package net.wanji.opt.controllerv2.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemCrossDayService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import net.wanji.opt.api.ResultGenerator;



import javax.validation.Valid;
import java.util.List;

/**
* <p>
* 路口问题分析 前端控制器
* </p>
*
* @author fengyi
* @since 2025-03-13
*/
@Api(tags = "研判分析-路口问题分析")

@RestController
@RequestMapping("/analysis-problem-cross-day")
public class AnalysisProblemCrossDayController {


    @Autowired
    private AnalysisProblemCrossDayService analysisProblemCrossDayService;



    @ApiOperation(value = "路口问题分析详情", response = AnalysisProblemCrossDay.class)
    @GetMapping(value = "/info/{id}")
    public  Object info(@PathVariable Long id) {

        Object data = analysisProblemCrossDayService.info(id);
         return ResultGenerator.genSuccessResult(data);
    }

    @ApiOperation(value = "路口问题分析新增")
    @PostMapping(value = "/add")
    public  Object add(@Valid @RequestBody AnalysisProblemCrossDay param) {

        analysisProblemCrossDayService.add(param);
        return ResultGenerator.genSuccessResult();
    }

    @ApiOperation(value = "路口问题分析修改")
    @PostMapping(value = "/modify")
    public  Object modify(@Valid @RequestBody AnalysisProblemCrossDay param) {

        analysisProblemCrossDayService.modify(param);
        return ResultGenerator.genSuccessResult();
    }

    @ApiOperation(value = "路口问题分析删除(单个条目)")
    @GetMapping(value = "/remove/{id}")
    public  Object remove(@PathVariable Long id) {

        analysisProblemCrossDayService.remove(id);
        return ResultGenerator.genSuccessResult();
    }

    @ApiOperation(value = "路口问题分析删除(多个条目)")
    @PostMapping(value = "/removes")
    public  Object removes(@Valid @RequestBody List<Long> ids) {

        analysisProblemCrossDayService.removes(ids);
        return ResultGenerator.genSuccessResult();
    }

}